> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bank account



## OpenAPI

````yaml /openapi.json get /bank_accounts/{id}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /bank_accounts/{id}:
    get:
      summary: Retrieve a bank account
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier of the bank account
      responses:
        '200':
          description: Bank account retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccount'
        '401':
          description: Unauthorized
        '404':
          description: Bank account not found
components:
  schemas:
    BankAccount:
      type: object
      required:
        - name
      properties:
        id:
          type: integer
          description: Unique numeric identifier
        name:
          type: string
          description: Human readable name for the bank account
        currency:
          type: string
          description: >-
            Three-letter ISO 4217 currency code (e.g. USD, EUR). Must be
            uppercase. Optional — bank accounts may be created without a
            currency.
          pattern: ^[A-Z]{3}$
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````